//+------------------------------------------------------------------+
//|                                                       LoggerTest |
//|                                           Sergey Eryomin (ENSED) |
//|                                                 sergey@ensed.org |
//+------------------------------------------------------------------+
#property copyright "Sergey Eryomin"
#property link      "http://ensed.org"

#include <Logger.mqh>
//---   
void InitLogger()
  {
//---   : 
//--- DEBUG-     -
//--- ERROR-  
   CLogger::SetLevels(LOG_LEVEL_WARNING,LOG_LEVEL_ERROR);
//---        
   CLogger::SetLoggingMethod(LOGGING_OUTPUT_METHOD_EXTERN_FILE);
//---     PUSH-
   CLogger::SetNotificationMethod(NOTIFICATION_METHOD_PUSH);
//---   -
   CLogger::SetLogFileName("my_log");
//---     -  " -    "
   CLogger::SetLogFileLimitType(LOG_FILE_LIMIT_TYPE_ONE_DAY);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
   InitLogger();
   CLogger::Add(LOG_LEVEL_INFO,"");
   CLogger::Add(LOG_LEVEL_INFO,"---------- OnInit() -----------");
   LOG(LOG_LEVEL_DEBUG,"Example of debug message");
   LOG(LOG_LEVEL_INFO,"Example of info message");
   LOG(LOG_LEVEL_WARNING,"Example of warning message");
   LOG(LOG_LEVEL_ERROR,"Example of error message");
   LOG(LOG_LEVEL_FATAL,"Example of fatal message");
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnTick()
  {
  }
//+------------------------------------------------------------------+
